import { GraphData } from "./GraphData.ts";
interface Pos {
    x?: number;
    y?: number;
    width?: number;
    height?: number;
}
export declare class Circle {
    protected pos: {
        [id: string]: Pos;
    };
    constructor(graphData: GraphData, width?: any, height?: any, radius?: any);
    nodePos(u: any): Pos;
    edgePoints(_e: any): any[];
}
export declare class None {
    protected pos: {
        [id: string]: Pos;
    };
    constructor(graphData: GraphData, _width: any, _height: any, _radius: any);
    nodePos(u: any): Pos;
    edgePoints(_e: any): any[];
}
export declare class ForceDirected {
    protected pos: {
        [id: string]: Pos;
    };
    vertices: any[];
    protected vertexMap: {
        [id: string]: any;
    };
    protected edges: any[];
    protected force: any;
    constructor(graphData: GraphData, width: any, height: any, options: any);
    nodePos(u: any): any;
    edgePoints(_e: any): any[];
}
export declare class Hierarchy {
    protected digraph: any;
    protected dagreLayout: any;
    constructor(graphData: GraphData, _width: any, _height: any, options: any);
    nodePos(u: any): any;
    edgePoints(edge: any): any;
}
export {};
